Summary: ACPI Event Daemon
Name: acpid
Version: 1.0.2
Release: 1.9.0
License: GPL
Group: System Environment/Daemons
Source: http://unc.dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}
URL: http://acpid.sourceforge.net

%description
acpid is a daemon that dispatches ACPI events to user-space programs.

%prep
%setup

%build
make

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}
%makeinstall INSTPREFIX=%{buildroot}

mkdir -p %{buildroot}/etc/acpi/events
mkdir -p %{buildroot}/etc/acpi/actions
install -m 644 samples/sample.conf %{buildroot}/etc/acpi/events

mkdir -p %{buildroot}/etc/init.d
install -m 755 redhat/acpid.init %{buildroot}/etc/init.d/acpid

mkdir -p %{buildroot}/etc/logrotate.d
echo > %{buildroot}/etc/logrotate.d/%{name} <<_EOF
/var/log/%{name} {
    create 0600 root root
    postrotate
        /sbin/service %{name} reload  2> /dev/null || true
    endscript
}
_EOF



%files
%defattr(0644,root,root,0755)
%attr(0755,root,root) %{_sbindir}/%{name}
%attr(0755,root,root) %config /etc/init.d/%{name}
%dir /etc/acpi
%dir /etc/acpi/events
%dir /etc/acpi/actions
%config(missingok) /etc/acpi/events/sample.conf
%config(missingok) /etc/logrotate.d/%{name}
%{_mandir}/man8/%{name}.8*


%post
# only run on install, not upgrade 
if [ "$1" = "1" ]; then
	/sbin/chkconfig --add acpid
	/sbin/chkconfig --level 2345 acpid on
	touch /var/log/acpid
	chown root.root /var/log/acpid
	chmod 0600 /var/log/acpid
fi


%preun
# only run if this is the last instance to be removed
if [ "$1" = "0" ]; then
	/sbin/chkconfig --del acpid
fi

%changelog

%changelog
* Mon Sep 08 2003  Peter Soos <sp@osb.hu>
  - Some spec file tuning
  - Added logrotate support

* Tue May 13 2003  Tim Hockin <thockin@sun.com>
  - Fixed a dumb bug with %e expansion for commands
  - Add COPYING file
  - Add TODO file

* Fri Mar 15 2002  Tim Hockin <thockin@sun.com>
  - Updated RPM spec with patch from sun for chkconfig on/off
  - Add Changelog, make 'make rpm' use it.

* Wed Mar 13 2002  Tim Hockin <thockin@sun.com>
  - Fixed logging bug - not appending to log (O_APPEND needed)
  - Fix 'make install' to not need root access
  - Fix RPM spec to not need root

* Thu Sep 6 2001 Tim Hockin <thockin@sun.com>
  - 1.0.0

* Thu Aug 16 2001  Tim Hockin <thockin@sun.com>
  - Added commandline options to actions

* Wed Aug 15 2001  Tim Hockin <thockin@sun.com>
  - Added UNIX domain socket support
  - Changed /etc/acpid.d to /etc/acpid/events

* Mon Aug 13 2001  Tim Hockin <thockin@sun.com>
  - added changelog
  - 0.99.1-1

